Bug 676603

Summary: Missing %s in logging format string
Product: [Fedora] Fedora Reporter: Dwayne Bailey <dwayne>
Component: translate-toolkitAssignee: Dwayne Bailey <dwayne>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: dwayne, i18n-bugs, kparal
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: translate-toolkit-1.8.1-3.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-22 18:55:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dwayne Bailey 2011-02-10 11:49:05 UTC
This is copied from http://bugs.locamotion.org/show_bug.cgi?id=1865

prop2po tool does not work properly:

$ prop2po  -P l10n.properties esmska.pot
processing 1 files...
Traceback (most recent call last):
  File "/usr/lib64/python2.7/logging/__init__.py", line 838, in emit
    msg = self.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 715, in format
    return fmt.format(record)
  File "/usr/lib64/python2.7/logging/__init__.py", line 464, in format
    record.message = record.getMessage()
  File "/usr/lib64/python2.7/logging/__init__.py", line 328, in getMessage
    msg = msg % self.args
ValueError: unsupported format character 'w' (0x77) at index 18
Logged from file base.py, line 730
[###########################################] 100%

Fedora 14, Python 2.7, translate-toolkit-1.8.1-1.fc14.noarch

Comment 2 Fedora Update System 2011-02-10 12:42:16 UTC
translate-toolkit-1.8.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/translate-toolkit-1.8.1-3.fc14

Comment 3 Kamil Páral 2011-02-10 14:27:15 UTC
translate-toolkit-1.8.1-3.fc14 seems to work, but I get this warning:

WARNING:root:trying to parse l10n.properties with encoding: iso-8859-1 but detected encoding is ascii

Is that correct? I didn't get it before.

Comment 4 Dwayne Bailey 2011-02-10 20:24:25 UTC
(In reply to comment #3)
> translate-toolkit-1.8.1-3.fc14 seems to work, but I get this warning:
> 
> WARNING:root:trying to parse l10n.properties with encoding: iso-8859-1 but
> detected encoding is ascii
> 
> Is that correct? I didn't get it before.

Yes that is new. The warning can be ignored, we're looking at suppressing these messages in 1.9.1.

The issue was an error in the logging string that caused a traceback that made that warning look more like a failure.

Comment 5 Fedora Update System 2011-02-10 21:29:28 UTC
translate-toolkit-1.8.1-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/translate-toolkit-1.8.1-3.fc14

Comment 6 Fedora Update System 2011-02-17 11:21:58 UTC
translate-toolkit-1.8.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/translate-toolkit-1.8.1-3.el5

Comment 7 Fedora Update System 2011-03-22 18:55:37 UTC
translate-toolkit-1.8.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.